## RBHeader RBHeader — playback area widgetry |

## Functions

RBHeader * | rb_header_new ()

## Properties

RhythmDB * | db | Read / Write
gboolean | seekable | Read / Write
RBShellPlayer * | shell-player | Read / Write / Construct Only
gboolean | show-album-art | Read / Write
gboolean | show-position-slider | Read / Write
gboolean | show-remaining | Read / Write
gboolean | slider-dragging | Read

## Types and Values

struct | RBHeader
struct | RBHeaderClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── RBHeader

## Implemented Interfaces

RBHeader implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

The RBHeader widget displays information about the current playing track (title, album, artist), the elapsed or remaining playback time, and a position slider indicating the playback position. It translates slider move and drag events into seek requests for the player backend.

For shoutcast-style streams, the title/artist/album display is supplemented by metadata extracted from the stream. See RBStreamingSource for more information on how the metadata is reported.

## Functions

### rb_header_new ()

    RBHeader *
    rb_header_new (RBShellPlayer *shell_player,
                   RhythmDB *db);

Creates a new header widget.

#### Parameters

shell_player | the RBShellPlayer instance |
db | the RhythmDB instance |

#### Returns

the header widget

## Types and Values

### struct RBHeader

    struct RBHeader;

### struct RBHeaderClass

    struct RBHeaderClass {
    	GtkGridClass parent;
    };

## Property Details

### The `“db”` property

      “db”                       RhythmDB *

RhythmDB instance

Flags: Read / Write

### The `“seekable”` property

      “seekable”                 gboolean

If TRUE, the header should allow seeking by dragging the playback position slider

Flags: Read / Write

Default value: TRUE

### The `“shell-player”` property

      “shell-player”             RBShellPlayer *

The RBShellPlayer instance

Flags: Read / Write / Construct Only

### The `“show-album-art”` property

      “show-album-art”           gboolean

Whether to show the album art display widget.

Flags: Read / Write

Default value: TRUE

### The `“show-position-slider”` property

      “show-position-slider”     gboolean

Whether to show the playback position slider.

Flags: Read / Write

Default value: TRUE

### The `“show-remaining”` property

      “show-remaining”           gboolean

Whether to show remaining time (as opposed to elapsed time) in the numeric time display.

Flags: Read / Write

Default value: FALSE

### The `“slider-dragging”` property

      “slider-dragging”          gboolean

Whether the song position slider is currently being dragged.

Flags: Read

Default value: FALSE